Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Class Scoping

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v12.Scoping`

public class Scoping
extends oracle.security.xmlsec.util.XMLElement

This class represents the Scoping element in the Liberty Single Sign-On and Federation protocol. The Scoping element is the child element of an AuthnRequest element that specifies information about additional identifiers through which the authentication request may be proxied.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`Scoping(org.w3c.dom.Document owner)` Creates a new `Scoping` instance.
`Scoping(org.w3c.dom.Element element)` Creates a new `Scoping` instance from the given Element node.
`Scoping(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `Scoping` instance from the given Element node.

Method Summary
`protected java.lang.String[]` | `getChildElementsLocalNames()`
`protected java.lang.String[]` | `getChildElementsNSURIs()`
`IDPList` | `getIDPList()` Returns this Scoping element's IDPList child element, or `null` if the child element is not specified.
`java.lang.Integer` | `getProxyCount()` Returns the value of this Scoping element's ProxyCount child element, or `null` if the child element is not specified.
`void` | `setIDPList(IDPList idpList)` Sets this Scoping element's IDPList child element.
`void` | `setProxyCount(java.lang.Integer proxyCount)` Sets the value for this Scoping element's ProxyCount child element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scoping

    public Scoping(org.w3c.dom.Element element)
            throws org.w3c.dom.DOMException

  Creates a new `Scoping` instance from the given Element node.
Parameters:
  `element` - A Liberty Scoping element.

### Scoping

    public Scoping(org.w3c.dom.Element element,
                   java.lang.String SystemId)
            throws org.w3c.dom.DOMException

  Creates a new `Scoping` instance from the given Element node.
Parameters:
  `element` - A Liberty Scoping element.

### Scoping

    public Scoping(org.w3c.dom.Document owner)
            throws org.w3c.dom.DOMException

  Creates a new `Scoping` instance.
Parameters:
  `owner` - The owner document of the new Liberty Scoping element.

Method Detail

### getProxyCount

    public java.lang.Integer getProxyCount()

  Returns the value of this Scoping element's ProxyCount child element, or `null` if the child element is not specified.

### setProxyCount

    public void setProxyCount(java.lang.Integer proxyCount)

  Sets the value for this Scoping element's ProxyCount child element.
  Parameters:
    `proxyCount` - The proxy count.

### getIDPList

    public IDPList getIDPList()

  Returns this Scoping element's IDPList child element, or `null` if the child element is not specified.

### setIDPList

    public void setIDPList(IDPList idpList)

  Sets this Scoping element's IDPList child element.
  Parameters:
    `idpList` - The IDPList element.

### getChildElementsNSURIs

    protected java.lang.String[] getChildElementsNSURIs()

### getChildElementsLocalNames

    protected java.lang.String[] getChildElementsLocalNames()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.